import React from 'react';
import {Container, Segment, Button, Table} from 'semantic-ui-react';
import SelListItem from './SetListItem';

const IPMIPage = ({i18n, list, openModal, delData, bmctl, runbmctl}) => {
    return (
        <Container>
            <Segment className="clearfix">
                <Button content="新增設定" 
                    icon="plus" 
                    floated="right" 
                    basic 
                    color="green" 
                    style={{marginBottom: '15px'}}
                    onClick={()=>openModal('ipmi')} />
                <Table>
                    <Table.Header>
                        <Table.Row>
                             <Table.HeaderCell>操作</Table.HeaderCell>
                            <Table.HeaderCell>設備操作</Table.HeaderCell>
                            <Table.HeaderCell>IP</Table.HeaderCell>
                            <Table.HeaderCell>帳號</Table.HeaderCell>
                            <Table.HeaderCell>MAC Address</Table.HeaderCell>
                        </Table.Row>
                    </Table.Header>
                    <Table.Body>
                        {
                            list.map((t,idx) => {
                                return (
                                    <SelListItem key={idx} 
                                        i18n={i18n} 
                                        data={t}
                                        openModal={openModal}
                                        delData={delData}
                                        bmctl={bmctl}
                                        runbmctl={runbmctl} /> 
                                )
                            })
                        }
                    </Table.Body>
                </Table>
            </Segment>
        </Container>
    )
}

export default IPMIPage;