import React from 'react';
import {Modal, Form, Input, Button, Grid} from 'semantic-ui-react';

const DevModel = ({ i18n, open, type, data, closeModal, submitModal }) => {

    return (
        <Modal open={open}>
            <Modal.Header content={type == 1 ? '修改裝置' : '新增裝置'} />
            <Modal.Content>
                <Form onSubmit={(e,d) => {
                        e.preventDefault();
                        submitModal('device', type, d.formData);
                    }} serializer={e=>{
                        let json = {};
                        let name = e.querySelector('input[name="name"]');
                        if(name && 'value' in name) json.name = name.value;

                        if(type == 1) json.id = data.devuid;

                        return json;
                    }}>
                    <Form.Field>
                        <Input label="裝置名稱" name="name" defaultValue={data.name} />
                    </Form.Field>

                    <Grid columns={2}>
                        <Grid.Column>
                            <Button type="submit" content="送出" basic fluid/>
                        </Grid.Column>
                        <Grid.Column>
                            <Button type="button" fluid content="取消" basic onClick={()=>closeModal('device')} />
                        </Grid.Column>
                    </Grid>
                </Form>
            </Modal.Content>
        </Modal>
    )
}

export default DevModel;