import React from 'react';
import {Modal, Form, Grid, Input, Button } from 'semantic-ui-react';

const IPMIModal = ({ i18n, open, type, data, closeModal, submitModal }) => {

    return (
        <Modal open={open}>
            <Modal.Header content={type == 1 ? '修改設定' : '新增設定'} />
            <Modal.Content>
                <Form onSubmit={(e,d) => {
                        e.preventDefault();
                        submitModal('ipmi', type, d.formData);
                    }} serializer={e=>{
                        let json  ={};

                        let ip = e.querySelector('input[name="ip"]');
                        if(ip && 'value' in ip) json.ip = ip.value;
                        let account = e.querySelector('input[name="account"]');
                        if(account && 'value' in account) json.account = account.value;
                        let pass = e.querySelector('input[name="password"]');
                        if(pass && 'value' in pass) json.password = pass.value;
                        if(type == 1 ) json.id = data.ipmuid;

                        return json;
                    }}>
                    <Form.Field>
                        <Input label="IP" name="ip" defaultValue={data.ip} />
                    </Form.Field>
                    <Form.Field>
                        <Input label="帳號" name="account" defaultValue={data.account} />
                    </Form.Field>
                    <Form.Field>
                        <Input label="密碼" name="password" defaultValue={data.password} />
                    </Form.Field>

                    <Grid columns={2}>
                        <Grid.Column>
                            <Button type="submit" content="送出" basic fluid/>
                        </Grid.Column>
                        <Grid.Column>
                            <Button type="button" fluid content="取消" basic onClick={()=>closeModal('ipmi')} />
                        </Grid.Column>
                    </Grid>
                </Form>
            </Modal.Content>
        </Modal>
    )
}

export default IPMIModal;